/*
 * Copyright (c) 2008, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id: TCKDecoratedContextFactory.java 62525 2011-04-15 12:14:31Z dougd $
 */
package com.sun.ts.tests.jsf.common.factories;

import javax.faces.context.FacesContextFactory;

public abstract class TCKDecoratedContextFactory extends FacesContextFactory {

    public FacesContextFactory fcf;
    private String contextName;

    public String getParent() {
        contextName = fcf.getClass().getCanonicalName();

        return contextName;
    }
    
    @Override
	public FacesContextFactory getWrapped() {
		// For testing purposes when this method is called return itself.
		return this;
	}
}
